Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client
Class ServiceFactory

    java.lang.Object
      javax.xml.rpc.ServiceFactory
          org.apache.axis.client.ServiceFactory

All Implemented Interfaces:
  ObjectFactory

public class ServiceFactory
extends javax.xml.rpc.ServiceFactory
implements ObjectFactory

Helper class for obtaining Services from JNDI.

!!! WORK IN PROGRESS

Author:
  Glen Daniels (gdaniels@macromedia.com)

Field Summary
`static String` | `MAINTAIN_SESSION`
`static String` | `SERVICE_CLASSNAME`
`static String` | `SERVICE_LOCAL_PART`
`static String` | `SERVICE_NAMESPACE`
`static String` | `WSDL_LOCATION`

Fields inherited from class javax.xml.rpc.ServiceFactory
`SERVICEFACTORY_PROPERTY`

Constructor Summary
`ServiceFactory()`

Method Summary
`javax.xml.rpc.Service` | `createService(javax.xml.namespace.QName serviceName)` Create a Service instance.
`javax.xml.rpc.Service` | `createService(URL wsdlDocumentLocation, javax.xml.namespace.QName serviceName)` Create a Service instance.
`Object` | `getObjectInstance(Object refObject, Name name, Context nameCtx, Hashtable environment)`
`static Service` | `getService(Map environment)` Obtain an AxisClient reference, using JNDI if possible, otherwise creating one using the standard Axis configuration pattern.
`javax.xml.rpc.Service` | `loadService(Class aClass)`
`javax.xml.rpc.Service` | `loadService(URL url, Class aClass, Properties properties)`
`javax.xml.rpc.Service` | `loadService(URL url, javax.xml.namespace.QName qName, Properties properties)`

Methods inherited from class javax.xml.rpc.ServiceFactory
`newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_CLASSNAME

    public static final String SERVICE_CLASSNAME

See Also:
  Constant Field Values

### WSDL_LOCATION

    public static final String WSDL_LOCATION

See Also:
  Constant Field Values

### MAINTAIN_SESSION

    public static final String MAINTAIN_SESSION

See Also:
  Constant Field Values

### SERVICE_NAMESPACE

    public static final String SERVICE_NAMESPACE

See Also:
  Constant Field Values

### SERVICE_LOCAL_PART

    public static final String SERVICE_LOCAL_PART

See Also:
  Constant Field Values

Constructor Detail

### ServiceFactory

    public ServiceFactory()

Method Detail

### getService

    public static Service getService(Map environment)

  Obtain an AxisClient reference, using JNDI if possible, otherwise creating one using the standard Axis configuration pattern. If we end up creating one and do have JNDI access, bind it to the passed name so we find it next time.

  Parameters:
    `environment` -
  Returns:
    a service

### getObjectInstance

    public Object getObjectInstance(Object refObject,
                                    Name name,
                                    Context nameCtx,
                                    Hashtable environment)
                             throws Exception

  Specified by:
    `getObjectInstance` in interface `ObjectFactory`
  Throws:
    `Exception`

### createService

    public javax.xml.rpc.Service createService(URL wsdlDocumentLocation,
                                               javax.xml.namespace.QName serviceName)
                                        throws javax.xml.rpc.ServiceException

  Create a Service instance.

  Parameters:
    `wsdlDocumentLocation` - URL for the WSDL document location for the service
    `serviceName` - QName for the service.
  Returns:
    Service.
  Throws:
    `javax.xml.rpc.ServiceException` - If any error in creation of the specified service

### loadService

    public javax.xml.rpc.Service loadService(Class aClass)
                                      throws javax.xml.rpc.ServiceException

  Throws:
    `javax.xml.rpc.ServiceException`

### loadService

    public javax.xml.rpc.Service loadService(URL url,
                                             Class aClass,
                                             Properties properties)
                                      throws javax.xml.rpc.ServiceException

  Throws:
    `javax.xml.rpc.ServiceException`

### loadService

    public javax.xml.rpc.Service loadService(URL url,
                                             javax.xml.namespace.QName qName,
                                             Properties properties)
                                      throws javax.xml.rpc.ServiceException

  Throws:
    `javax.xml.rpc.ServiceException`

### createService

    public javax.xml.rpc.Service createService(javax.xml.namespace.QName serviceName)
                                        throws javax.xml.rpc.ServiceException

  Create a Service instance. Since the WSDL file is not provided here, the Service object returned is quite simpleminded. Likewise, the Call object that service.createCall will return will also be simpleminded. The caller must explicitly fill in all the info on the Call object (ie., endpoint address, etc.).

  Parameters:
    `serviceName` - QName for the service
  Returns:
    Service.
  Throws:
    `javax.xml.rpc.ServiceException` - If any error in creation of the specified service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.